import {postAction,getAotion,} from '@/api/manage'
import {downFilePost} from "../manage";
const prefix = '/manager/ciop';

// 获取活动列表
let findByList = (params) => postAction(prefix + "/school/schoolManagement/findByList" , params);

// 回显选择的套餐findByList
let choosepages = (params) => postAction(prefix + "/school/schoolManagement/choosepages" , params);

// 编辑
let modify = (params) => postAction(prefix + "/school/schoolManagement/update" , params);

//新增
let insert= (params) => postAction(prefix + "/school/schoolManagement/insert" , params);

//隐藏状态
let hidestatus= (params) => postAction(prefix + "/school/schoolManagement/hidestatus" , params);

// 下载学校模板
let excelMBOut = (params) => downFilePost(prefix + "/school/schoolManagement/excelMBOut" , params);

// 下载学校列表
let reportDownload = (params) => downFilePost(prefix + "/school/schoolManagement/excelOut",params);

// 删除学校
let deleteSchoolById = (params) => postAction(prefix + "/school/schoolManagement/deleteSchoolById" , params);

export {
    findByList,choosepages,modify,insert,hidestatus,excelMBOut,reportDownload,deleteSchoolById
}


